Bug 21573 - Move lists barcode and biblionumber entry form to modal
Summary: Move lists barcode and biblionumber entry form to modal
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on: 21570
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-15 15:48 UTC by Owen Leonard
Modified: 2019-02-01 12:41 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21573: Move lists barcode and biblionumber entry form to modal (8.93 KB, patch)
2018-10-15 15:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21573: Move lists barcode and biblionumber entry form to modal (9.00 KB, patch)
2019-01-15 02:24 UTC, Mackey Johnstone
Details | Diff | Splinter Review
Bug 21573: Move lists barcode and biblionumber entry form to modal (9.00 KB, patch)
2019-01-15 06:24 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-10-15 15:48:29 UTC
I propose to move the barcode/biblionumber entry form into a modal window triggered by a button in the toolbar.
Comment 1 Owen Leonard 2018-10-15 15:58:14 UTC
Created attachment 80612 [details] [review]
Bug 21573: Move lists barcode and biblionumber entry form to modal

This patch modifies the staff client lists page so that the
barcode/biblionumber entry form from the left hand sidebar into a modal
window, triggered by a button in the toolbar.

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - View the contents of a list in the staff client, logged in as a user
   who has permission to add items.
 - Click the "Add items" button. A modal window should appear with the
   barcode/biblionumber entry form.
 - Submit barcodes and/or biblionumbers and confirm that the correct
   titles are added to the list.
 - Log in again as a user who does not have permission to add to the
   list. Confirm that the button isn't present.
Comment 2 Mackey Johnstone 2019-01-15 02:24:19 UTC
Created attachment 83924 [details] [review]
Bug 21573: Move lists barcode and biblionumber entry form to modal

This patch modifies the staff client lists page so that the
barcode/biblionumber entry form from the left hand sidebar into a modal
window, triggered by a button in the toolbar.

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - View the contents of a list in the staff client, logged in as a user
   who has permission to add items.
 - Click the "Add items" button. A modal window should appear with the
   barcode/biblionumber entry form.
 - Submit barcodes and/or biblionumbers and confirm that the correct
   titles are added to the list.
 - Log in again as a user who does not have permission to add to the
   list. Confirm that the button isn't present.

Signed-off-by: Mackey Johnstone <mackeyfj@gmail.com>
Comment 3 Katrin Fischer 2019-01-15 06:24:03 UTC
Created attachment 83937 [details] [review]
Bug 21573: Move lists barcode and biblionumber entry form to modal

This patch modifies the staff client lists page so that the
barcode/biblionumber entry form from the left hand sidebar into a modal
window, triggered by a button in the toolbar.

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - View the contents of a list in the staff client, logged in as a user
   who has permission to add items.
 - Click the "Add items" button. A modal window should appear with the
   barcode/biblionumber entry form.
 - Submit barcodes and/or biblionumbers and confirm that the correct
   titles are added to the list.
 - Log in again as a user who does not have permission to add to the
   list. Confirm that the button isn't present.

Signed-off-by: Mackey Johnstone <mackeyfj@gmail.com>
Comment 4 Katrin Fischer 2019-01-15 06:24:47 UTC
Thx, Mackey!
Comment 5 Nick Clemens 2019-01-28 14:14:12 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-02-01 12:41:27 UTC
Enhancement, will not be backported to 18.11.x series.